# 数据标准化接口文档

### 

## 系统接口

> #### （注：condition 为 query，create，update，delete）
>
> #### （注：为了读写分离，serviceid还会变动，请不要写死）
>
> #### （注：userId、groupCode、projectId必须传值，appId可以为空）
>
> #### 请求方法：POST

### 查询（请参考[通用查询](/utils/query.md)）

### 字典类型

请求路径：/dic/dt/type/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "dev_1",
  "groupCode": "PG",
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "status": 1,
  "createTime": 1602434380000,
  "createUser": "wdl",
  "updateTime": 1602705427000,
  "updateUser": "wdl",
  "remark": "Testing"
}
新增：
{
  "type": "major",//非空
  "name": "专业",//非空
  "description": "Testing",
  "remark": "Testing"
}
更新：
{
  "id": "dev_1",//非空
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "remark": "Testing"
}
删除：
{
  "id": ""
}
```

### 字典数据

请求路径：/dic/dt/data/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "1",
  "dictTypeId": "1",
  "parentId": "1",
  "type": "sex",
  "code": "A",
  "label": "man",
  "orderNum": "10",
  "status": 0,
  "createTime": 1602429367000,
  "createUser": "test",
  "updateTime": 1602710467000,
  "updateUser": "test",
  "remark": "测试数据"
}
新增：
{
  "dictTypeId": "1",//非空
  "parentId": "1",
  "type": "sex",//非空
  "code": "A",//非空
  "label": "man",//非空
  "remark": "测试数据"
}
更新：
{
  "id": "1",//非空
  "dictTypeId": "1",
  "parentId": "1",
  "type": "sex",
  "code": "A",
  "label": "man",
  "remark": "测试数据"
}
删除：
{
  "id": ""
}
```

#### 映射表替代字典数据的数据集查询

请求路径：/dic/dt/data/result

请求参数

```json
{
    "groupCode": "WD",//集团code
    "type": "sex"//字典类型
}
```

### 字典数据映射

请求路径：/dic/dt/data/map/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "1",
  "dictDataId": "1",
  "type": "sex",
  "groupCode": "WD",
  "targetCode": "0",
  "label": "man",
  "code": "A",
  "orderNum": "10",
  "status": 1,
  "createTime": 1602429745000,
  "createUser": "test",
  "updateTime": 1602710687000,
  "updateUser": "test",
  "remark": "测试数据"
}
新增：
{
  "dictDataId": "1",//非空
  "type": "sex",//非空
  "groupCode": "WD",//非空
  "targetCode": "0",//非空
  "label": "man",//非空
  "code": "A",//非空
  "remark": "测试数据"
}
更新：
{
  "id": "1",//非空
  "dictDataId": "1",
  "type": "sex",
  "groupCode": "WD",
  "targetCode": "0",
  "label": "man",
  "code": "A",
  "remark": "测试数据"
}
删除：
{
  "id": ""
}
```







